VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
NoMenuBuilder Class Reference
Standalone Library

No menu builder adapter. More...

`#include <menubuilder.h>`

Inheritance diagram for NoMenuBuilder:

## Public Member Functions
bool | showCommandGroupInMenu (const Interface &context, const UTF8String &group) const override
| should the command group be visible in the menu More...
bool | showCommandInMenu (const Interface &context, const Command &cmd) const override
| should the command be visible in the menu More...
Public Member Functions inherited from MenuBuilderAdapter
bool | showCommandGroupInMenu (const Interface &context, const UTF8String &group) const override
| should the command group be visible in the menu More...
bool | showCommandInMenu (const Interface &context, const Command &cmd) const override
| should the command be visible in the menu More...
SortFunction | getCommandGroupSortFunction (const Interface &context, const UTF8String &group) const override
| return command group sort function More...
bool | prependMenuSeparator (const Interface &context, const Command &cmd) const override
| should a menu separator prepend a command More...
virtual bool | showCommandGroupInMenu (const Interface &context, const UTF8String &group) const =0
| should the command group be visible in the menu More...
virtual bool | showCommandInMenu (const Interface &context, const Command &cmd) const =0
| should the command be visible in the menu More...
virtual SortFunction | getCommandGroupSortFunction (const Interface &context, const UTF8String &group) const =0
| return command group sort function More...
virtual bool | prependMenuSeparator (const Interface &context, const Command &cmd) const =0
| should a menu separator prepend a command More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Additional Inherited Members
Public Types inherited from IMenuBuilder
using | SortFunction = std::function< bool(const UTF8String &lhs, const UTF8String &rhs)>

## Detailed Description

No menu builder adapter.

Use this to prevent a window to have a menu

## Member Function Documentation

## ◆ showCommandGroupInMenu()

bool showCommandGroupInMenu | ( | const Interface & | context,
|  | const UTF8String & | group
| ) |  | const
| inline override virtual

should the command group be visible in the menu

Parameters

  context | either an IApplication or IWindow instance
  group | group name

Returns
  true for visible or false for invisible

Reimplemented from MenuBuilderAdapter.

## ◆ showCommandInMenu()

bool showCommandInMenu | ( | const Interface & | context,
|  | const Command & | cmd
| ) |  | const
| inline override virtual

should the command be visible in the menu

Parameters

  context | either an IApplication or IWindow instance
  cmd | command

Returns
  true for visible or false for invisible

Reimplemented from MenuBuilderAdapter.

The documentation for this class was generated from the following file:

- menubuilder.h